Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-0531

Overview

Vulnerability Score 2.1 2.1
CVE Id CVE-2005-0531
Last Modified 21 Aug 2010 12:26:18
Published 02 May 2005 12:00:00
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector LOCAL
Access Complexity LOW
Authentication NONE

CVE-2005-0531

Summary

The atm_get_addr function in addr.c for Linux kernel 2.6.10 and 2.6.11 before 2.6.11-rc4 may allow local users to trigger a buffer overflow via negative arguments.

Vulnerable Systems

Operating System

  • Linux Kernel 2.6.10

  • Linux Kernel 2.6.11


References

MISC - http://www.guninski.com/where_do_you_want_billg_to_go_today_3.html

FULLDISC - 20050215 linux kernel 2.6 fun. windoze is a joke

BUGTRAQ - 20050315 [USN-95-1] Linux kernel vulnerabilities

CONFIRM - http://linux.bkbits.net:8080/linux-2.6/gnupatch@4208e1fcfccuD-eH2OGM5mBhihmQ3A

CONECTIVA - CLA-2005:930

REDHAT - RHSA-2005:366


Last Updated: 27 May 2016 10:39:50